#include <windows.h>

int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow)
{
	int					argc;
	char				*argv[256];
	char				*ptr;
    WNDCLASS			wc;
	HWND				handle;
	DWORD				attr;
	STARTUPINFO			si;
	PROCESS_INFORMATION	pi;
	char				command[ 8192 ];
	OSVERSIONINFO		osVersionInfo;


	// create a window but don't show it

    wc.style         = CS_HREDRAW | CS_VREDRAW;
    wc.lpfnWndProc   = (WNDPROC)DefWindowProc;
    wc.cbClsExtra    = 0;
    wc.cbWndExtra    = 0;
    wc.hInstance     = hInstance;
    wc.hIcon         = NULL;
    wc.hCursor       = NULL;
    wc.hbrBackground = (HBRUSH)(COLOR_WINDOW+1);
	wc.lpszMenuName  = "INITIMN.EXE";
	wc.lpszClassName = "INITIMN.EXE";

    RegisterClass(&wc);

    handle = CreateWindow("INITIMN.EXE", "INITIMN.EXE", WS_OVERLAPPEDWINDOW,
      CW_USEDEFAULT, 0, CW_USEDEFAULT, 0,
      NULL, NULL, hInstance, NULL);

	// split command line parameters

    ptr = lpCmdLine;
	argc = 0;

	while( *ptr )
	{
		if( *ptr == '\"' )
		{
			while( *ptr && *ptr != '\"' )
			{
				ptr++;
			}

			if( *ptr )
			{
				ptr++;
			}

			continue;
		}

		if( *ptr == ' ' || *ptr == '\t' )
		{
			*ptr++ = '\0';
			argv[ argc++ ] = lpCmdLine;
			while( *ptr == ' ' || *ptr == '\t' )
			{
				ptr++;
			}
			lpCmdLine = ptr;
			continue;
		}
		ptr++;
	}

	if( *lpCmdLine )
	{
		argv[ argc++ ] = lpCmdLine;
	}

	// process command line arguments if proper amount is given

	if( argc == 2 )
	{
		// if the given working directory exists

		if( SetCurrentDirectory( argv[ 0 ] ) )
		{
			// if INITIMN.BAT exists in the current working directory

			attr = GetFileAttributes( "INITIMN.BAT" );

			if( attr != 0xffffffff && ( attr & FILE_ATTRIBUTE_DIRECTORY ) == 0 )
			{
				// prepare command line according to OS version

				osVersionInfo.dwOSVersionInfoSize = sizeof( OSVERSIONINFO );
				GetVersionEx( &osVersionInfo );
				if ( osVersionInfo.dwPlatformId == VER_PLATFORM_WIN32_NT )
				{
					strcpy( command, "CMD.EXE /C INITIMN.BAT " );
				}
				else
				{
					// allow for PIF files on Win 95

					attr = GetFileAttributes( "INITIMN.PIF" );

					if( attr != 0xffffffff && ( attr & FILE_ATTRIBUTE_DIRECTORY ) == 0 )
					{
						strcpy( command, "INITIMN.BAT " );
					}
					else
					{
						strcpy( command, "COMMAND.COM /E:32768 /C INITIMN.BAT " );
					}
				}
				strcat( command, argv[ 1 ] );

				// prepare process call with hidden window attribute

				ZeroMemory( &si, sizeof(si) );
				si.cb = sizeof(si);
				si.lpReserved = NULL;
				si.lpDesktop = NULL;
				si.lpTitle = NULL;
				si.dwFlags = STARTF_USESHOWWINDOW;
				si.wShowWindow = SW_HIDE;
				si.cbReserved2 = 0;
				si.lpReserved2 = NULL;

				// call process and wait for it

				if( CreateProcess( NULL,	// No module name (use command line).
					command,				// Command line.
					NULL,					// Process handle not inheritable.
					NULL,					// Thread handle not inheritable.
					FALSE,					// Set handle inheritance to FALSE.
					0,						// No creation flags.
					NULL,					// Use parent's environment block.
					NULL,					// Use parent's starting directory.
					&si,					// Pointer to STARTUPINFO structure.
					&pi ) )					// Pointer to PROCESS_INFORMATION structure.
				{
					WaitForSingleObject( pi.hProcess, INFINITE );
				}
			}
		}
	}

	// delete window

	if( handle )
		DestroyWindow( handle );

	// always signal success

	return 0;
}