//
//-----------------------------------------------------------------------------
// NetQuestion Installation Interface for InstallShiled V5.0 Build 221 or later
//-----------------------------------------------------------------------------
//

//
//---------------------------------------------------------------------------
// definitions for exploiter usage, do not modify definitions!
//---------------------------------------------------------------------------
//

// component bitmap

#define NETQ_INSTALL_SBCS       0x1     // install SBCS runtime
#define NETQ_INSTALL_ICSL       0x2     // install ICS Lite
#define NETQ_INSTALL_DBCS       0x4     // install DBCS runtime
#define NETQ_INSTALL_SBCSB      0x8     // install SBCS build time
#define NETQ_INSTALL_DBCSB      0x10    // install DBCS build time

// autostart select

#define NETQ_AUTOSTART          0x8000  // activate autostart

// required disk space query

#define NETQ_QUERY_SIZE         "?"     // query required disk space

// return codes

#define NETQ_RC_INSTALLED           0   // successful install
#define NETQ_RC_OUT_OF_PATH_SPACE   1   // PATH variable too long
#define NETQ_RC_OTHER_ERROR         2   // some error occured during installation
#define NETQ_RC_OUT_OF_DISK_SPACE   3   // insufficient disk space available

// optional files

#define NETQ_OPT_DIR            "\\IMNNQ"       // installation feature directory
#define NETQ_OPT_ERRFILE        "IMNNQ.ERR"     // optional error file (used by NetQDoInstall)
#define NETQ_OPT_FILE           "INITIMN.BAT"   // optional batch file (for exploiter usage)

// prototypes

prototype NetQDoInstall( STRING, BYREF STRING, NUMBER );

//
//---------------------------------------------------------------------------
// NetQuestion private definitions
//---------------------------------------------------------------------------
//

// registry

#define NETQ_INSTALL_PATH       "\\SOFTWARE\\IBM\\NetQuestion\\CurrentVersion\\Installation Directory\\Directory"

// miscellaneous

#define NETQ_OPT_SIZEFILE       "IMNNQ.SIZ"


